Returns to suppliers: Bimp API methods
Bimp API methods for the “Returns to suppliers” resource (/org2/refundSupplier/…): 5 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.
| Method | What it does |
|---|---|
POST /org2/refundSupplier/api-read | A request to obtain detailed information for a particular return of goods to supplier document |
POST /org2/refundSupplier/api-readList | A request to view a list of return of goods to supplier documents |
POST /org2/refundSupplier/api-create | A request to create a new return of goods to supplier document |
POST /org2/refundSupplier/api-update | A request to update an existing return of goods to supplier document |
POST /org2/refundSupplier/api-cancel | Archive a return of goods to supplier document |
api-read
POST /org2/refundSupplier/api-read
A request to obtain detailed information for a particular return of goods to supplier document
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for a return of goods to supplier document |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | A unique uuid key for a return of goods to supplier document |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
name | string | |
comment | string | An optional text field for any additional notes or comments related to the document |
number | string | The number of the return to supplier document |
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
counterparty | string (uuid) | A unique uuid key for a supplier |
warehouse | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
contract | string (uuid) | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
responsible | string (uuid) | A unique uuid key for a responsible employee |
priceList | string (uuid) | A unique identifier for the Price List, obtainable from the /priceList/api-readList request |
currency | string (uuid) | A unique uuid key for a currency |
documentSum | number | Total amount of the document |
VATaccounted | boolean | Whether VAT is included |
VATamount | number | |
processing | boolean | An informational flag marking the document as related to tolling (processing) |
baseDocument | string (uuid) | A purchase invoice document on which the return to supplier is based |
products | object[] | |
products[].nomenclature | string (uuid) | A unique uuid key for a product nomenclature |
products[].name | string | Product name |
products[].count | number | A numerical value representing the quantity of the product |
products[].cost | number | A numerical value representing the cost of the product |
products[].sum | number | |
products[].reserve | number | |
products[].discount | number | The amount of discount |
products[].VAT | string (uuid) | A unique uuid key for a company VAT |
products[].VATamount | number |
curl -X POST 'https://app.bimpsoft.com/org2/refundSupplier/api-read' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-readList
POST /org2/refundSupplier/api-readList
A request to view a list of return of goods to supplier documents
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
pagination | object | yes | |
pagination.offset | number | yes | Begin from {offset} elements |
pagination.count | number | yes | Limit of paginated elemets |
periodable | object[] | Period range as a tuple of two ISO 8601 date-time strings in UTC (e.g. ‘2012-10-05T14:48:00.000Z’) | |
organizations | string (uuid)[] | A unique identifier for the Organization, obtainable from the /organization/api-readList request | |
showAll | boolean | Parameter to show all documents. |
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | A unique uuid key for a return of goods to supplier document |
[].date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
[].name | string | |
[].comment | string | An optional text field for any additional notes or comments related to the document |
[].number | string | The number of the return to supplier document |
[].organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
[].counterparty | string (uuid) | A unique uuid key for a supplier |
[].responsible | string (uuid) | A unique uuid key for a responsible employee |
[].currency | string (uuid) | A unique uuid key for a currency |
[].documentSum | number | Total amount of the document |
curl -X POST 'https://app.bimpsoft.com/org2/refundSupplier/api-readList' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-create
POST /org2/refundSupplier/api-create
A request to create a new return of goods to supplier document
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
baseDocument | string (uuid) | yes | A purchase invoice document on which the return to supplier is based |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
number | string | The number of the return to supplier document | |
warehouse | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request | |
responsible | string (uuid) | A unique uuid key for a responsible employee | |
comment | string | An optional text field for any additional notes or comments related to the document | |
VATaccounted | boolean | Whether VAT is included | |
processing | boolean | An informational flag marking the document as related to tolling (processing) | |
products | object[] | ||
products[].cost | number | yes | A numerical value representing the cost of the product |
products[].count | number | yes | A numerical value representing the quantity of the product |
products[].nomenclature | string (uuid) | yes | A unique uuid key for a product nomenclature |
products[].VAT | string (uuid) | A unique uuid key for a company VAT |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | A unique uuid key for a return of goods to supplier document |
curl -X POST 'https://app.bimpsoft.com/org2/refundSupplier/api-create' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"baseDocument":"00000000-0000-0000-0000-000000000000"}'
api-update
POST /org2/refundSupplier/api-update
A request to update an existing return of goods to supplier document
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for a return of goods to supplier document |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
number | string | The number of the return to supplier document | |
warehouse | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request | |
responsible | string (uuid) | A unique uuid key for a responsible employee | |
comment | string | An optional text field for any additional notes or comments related to the document | |
VATaccounted | boolean | Whether VAT is included | |
processing | boolean | An informational flag marking the document as related to tolling (processing) | |
baseDocument | string (uuid) | A purchase invoice document on which the return to supplier is based | |
products | object[] | ||
products[].cost | number | yes | A numerical value representing the cost of the product |
products[].count | number | yes | A numerical value representing the quantity of the product |
products[].nomenclature | string (uuid) | yes | A unique uuid key for a product nomenclature |
products[].VAT | string (uuid) | A unique uuid key for a company VAT |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | A unique uuid key for a return of goods to supplier document |
curl -X POST 'https://app.bimpsoft.com/org2/refundSupplier/api-update' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-cancel
POST /org2/refundSupplier/api-cancel
Archive a return of goods to supplier document
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for the return of goods to supplier document |
Response: data field
| Field | Type | Description |
|---|---|---|
success | boolean (true) |
curl -X POST 'https://app.bimpsoft.com/org2/refundSupplier/api-cancel' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.